# Class Dictionary<K,V>

java.lang.Object
java.util.Dictionary<K,V>

Direct Known Subclasses:
  `Hashtable`

public abstract class Dictionary<K,V> extends java.lang.Object

Note: Do not use this class since it is obsolete. Please use the `Map` interface for new implementations.

Dictionary is an abstract class which is the superclass of all classes that associate keys with values, such as `Hashtable`.

##### Since

1.0

##### See also

- Hashtable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dictionary()`
  Constructs a new instance of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Enumeration<V>`
  `elements()`
  Returns an enumeration on the elements of this dictionary.
  `abstract V`
  `get(java.lang.Object key)`
  Returns the value which is associated with `key`.
  `abstract boolean`
  `isEmpty()`
  Returns true if this dictionary has no key/value pairs.
  `abstract Enumeration<K>`
  `keys()`
  Returns an enumeration on the keys of this dictionary.
  `abstract V`
  `put(K key, V value)`
  Associate `key` with `value` in this dictionary.
  `abstract V`
  `remove(java.lang.Object key)`
  Removes the key/value pair with the specified `key` from this dictionary.
  `abstract int`
  `size()`
  Returns the number of key/value pairs in this dictionary.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Dictionary

    public Dictionary()
    Constructs a new instance of this class.

- ## Method Details

  - ### elements

    public abstract Enumeration<V> elements()

    Returns an enumeration on the elements of this dictionary.

    ###### Returns

    an enumeration of the values of this dictionary.

    ###### See also

    - #keys

    - #size

    - Enumeration

  - ### get

    public abstract V get(java.lang.Object key)

    Returns the value which is associated with `key`.

    ###### Parameters

    - `key`: the key of the value returned.

    ###### Returns

    Returns:

      the value associated with `key`, or `null` if the specified key does not exist.

      ###### See also

      - #put

  - ### isEmpty

    public abstract boolean isEmpty()

    Returns true if this dictionary has no key/value pairs.

    ###### Returns

    Returns:

      `true` if this dictionary has no key/value pairs, `false` otherwise.

      ###### See also

      - #size

  - ### keys

    public abstract Enumeration<K> keys()

    Returns an enumeration on the keys of this dictionary.

    ###### Returns

    an enumeration of the keys of this dictionary.

    ###### See also

    - #elements

    - #size

    - Enumeration

  - ### put

    public abstract V put(K key, V value)

    Associate `key` with `value` in this dictionary. If `key` exists in the dictionary before this call, the old value in the dictionary is replaced by `value`.

    ###### Parameters

    - `key`: the key to add.

    - `value`: the value to add.

    ###### Returns

    the old value previously associated with `key` or `null` if `key` is new to the dictionary.

    ###### See also

    - #elements

    - #get

    - #keys

  - ### remove

    public abstract V remove(java.lang.Object key)

    Removes the key/value pair with the specified `key` from this dictionary.

    ###### Parameters

    - `key`: the key to remove.

    ###### Returns

    Returns:

      the associated value before the deletion or `null` if `key` was not known to this dictionary.

      ###### See also

      - #get

      - #put

  - ### size

    public abstract int size()

    Returns the number of key/value pairs in this dictionary.

    ###### Returns

    the number of key/value pairs in this dictionary.

    ###### See also

    - #elements

    - #keys